## emacs-non-dfsg 25.2+1

=== debian/changelog ===
emacs-non-dfsg (1:25.2+1-3) unstable; urgency=medium

  * Move unversioned emacs packages from experimental to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jul 2018 12:52:07 -0500

emacs-non-dfsg (1:25.2+1-2) experimental; urgency=medium

  * Given retirement, remove Jerome Marant from uploaders.
    Thanks to Tobias Frost for the report. (Closes: 869328)

  * Unversion the emacs packages.  Remove the major version from all
    of the packages.  The flexibility provided no longer appears worth
    the complexity given the more frequent upstream releases, and
    backward-compatability across them.

  * Stop versioning packages; change emacs25 to emacs.

  * Update debian/compat to 10.

  * Simplify generation of README.Debian.

  * Conflict with older versioned packages.  Given the dissolution of
    the emacs metaflavor and the unversioning of the emacs25 package,
    conflict with all previous flavors (as emacsen-common does) so
    that we can manage the transition without having worry about
    interactions, common files, etc.

  * Add debian epoch to match corresponding emacs package.

  * debian/copyright: change compression extension to xz.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 20 May 2018 11:18:15 -0500

emacs25-non-dfsg (25.2+1-1) unstable; urgency=medium

  * Merge upstream version 25.2

  * Update debian/ for 25.2

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Jul 2017 17:08:22 -0500

emacs25-non-dfsg (25.1+1-1) unstable; urgency=medium

  * debian/changelog: change the package name to emacs25-non-dfsg.

  * Merge upstream version 25.1.

  * debian: update control and copyright for 25.1.

  * Bump the Debian alternatives priority to 28 for 25.1.

  * Accommodate 25.1 DFSG content changes.  Several files have become
    compatible with the DFSG.

  * Generate doc/emacs/emacsver.texi from rules.

  * Convert debian/copyright to 1.0; update for 25.1.  Explicitly
    mention the unusual debian/rules copyright, which will be
    addressed via #826347.

  * Install etc/ files with mode 0644.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 10 Oct 2016 19:04:21 -0500

emacs24-non-dfsg (24.5+1-2) unstable; urgency=medium

  * debian/rules: get version via dpkg-parsechangelog.

  * Use debian/autogen.sed to generate debian/ files.  Create
    debian/autogen.sed and use it to generate the relevant debian/
    files, intead of perl and a make function.  That simplifies the
    quoting, and makes it easy to see the replacements.

  * debian/rules: if requested, build info in parallel.  Set up dummy
    targets to allow building the separate top-level info page sets in
    parallel (i.e. doc/emacs, doc/lispintro, etc.), and explicitly
    specify a -jN to the sub-make based on the DEB_BUILD_OPTIONS
    parallel setting.  Otherwise there's no parallelism.

  * Let dh_lintian handle the overrides file.

  * Handle info pages via update-alternatives.  Install the unmangled
    info pages to /usr/share/info/emacs-24/ and register them in
    /usr/share/info/ via update-alternatives.  See
    debian/emacs-common-non-dfsg.README for more information.  Thanks
    to Norbert Preining for helping evaluate the approach.

  * debian/.gitignore: add debhelper-build-stamp.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 25 Jun 2016 15:26:03 -0500

emacs24-non-dfsg (24.5+1-1) unstable; urgency=medium

  * Upgrade to upstream version 24.5 (shift from the bzr->git mirror
    to the new official upstream git repository for the source).

  * Update debian/copyright* for 24.5

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 17 Jun 2015 00:00:09 -0500

emacs24-non-dfsg (24.4+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 25 Oct 2014 14:48:45 -0500

emacs24-non-dfsg (24.4+1-1) experimental; urgency=medium

  * Upgrade to upstream version 24.4.

  * Update debian/* for 24.4

  * Fix patch-to-news: notice error; correct path.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 24 Oct 2014 11:37:52 -0500

emacs24-non-dfsg (24.3+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.3 and update debian/copyright,
    debian/patches, and debian/rules appropriately.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 Apr 2013 12:43:18 -0500

emacs24-non-dfsg (24.2+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.2 and update debian/patches.

  * Have debian/% depend on debian/rules since it now sets the
    upstream_ver.

  * Update debian/rules upstream_ver to 24.2 and run "debian/rules
    debian-sync".

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Sep 2012 13:12:36 -0500

emacs24-non-dfsg (24.1+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.1.

  * Update debian/.gitignore for emacs24.

  * Update debian control, copyright, etc. for emacs24.

  * Update debian control and compat for debhelper 9.

  * Clean up debian/rules, and update it for emacs24.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Jun 2012 21:35:06 -0500

emacs23-non-dfsg (23.4+1-1) unstable; urgency=low

  * Upgrade to upstream version 23.4.

  * Update debian/* for Emacs 23.4.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 20 Mar 2012 20:23:53 -0500

emacs23-non-dfsg (23.3+1-1) unstable; urgency=low

  * Incorporate new upstream version 23.3.

  * Adjust emacsVER-common.README to accommodate new patch headers.
    Add debian/patch-to-news to handle converting new git-dpm style
    patch headers to emacsVER-common.README.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 Apr 2011 12:21:08 -0500

emacs23-non-dfsg (23.2+1-1) unstable; urgency=low

  * New emacs23 packages.

  * Change debian/rules to use "dh $@" approach.

  * Update debian/compat from 4 to 7.

  * Remove debian/emacs-common-non-dfsg.prerm and
    debian/emacs-common-non-dfsg.postinst.

  * Update doc/misc/Makefile.in to report INFO_TARGETS for use in rules.

  * Switch to Debian 3.0 (quilt) source format.

  * Add dependency on "dpkg (>= 1.15.4) | install-info".


