## emacs-non-dfsg 26.1+1

=== debian/changelog ===
emacs-non-dfsg (1:26.1+1-1) unstable; urgency=medium

  * Merge upstream version 26.1. (Closes: 917004)

  * Update debian/ for 26.1.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 26 Dec 2018 14:56:11 -0600
