## emacs-non-dfsg 26.3%2B1-1%2B10.0trisquel1

=== debian/changelog ===
emacs-non-dfsg (1:26.3+1-1+10.0trisquel1) nabia; urgency=medium

  * Package emacs-common-gfdl for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Mar 2022 18:37:13 +0000

emacs-non-dfsg (1:26.3+1-1) unstable; urgency=medium

  * Merge upstream version 26.3.

  * Update debian/copyright for 26.3.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Sep 2019 20:37:53 -0500
