=== debian/control ===
Source: emacs-non-dfsg
Section: editors
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: texinfo, autotools-dev, dpkg-dev (>> 1.10.0), debhelper (>= 10)
Standards-Version: 3.7.2

Package: emacs-common-gfdl
Section: editors
Priority: optional
Architecture: all
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts:
  emacs21-common-non-dfsg,
  emacs22-common-non-dfsg,
  emacs23-common-non-dfsg,
  emacs24-common-non-dfsg,
  emacs25-common-non-dfsg
Replaces: texinfo-doc-nonfree (<< 6.1.0-1)
Breaks: texinfo-doc-nonfree (<< 6.1.0-1)
Description: GNU Emacs common items, including the core documentation
 This package includes the core Emacs documentation: the Emacs Info
 pages, the Emacs Lisp Reference Manual, and the Emacs Lisp Intro.
 .
