## emacs-non-dfsg 26.3+1-1+10.0trisquel2

=== debian/changelog ===
emacs-non-dfsg (1:26.3+1-1+10.0trisquel2) nabia; urgency=medium

  * Package emacs-common-gfdl for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Dec 2022 19:34:01 +0000
