=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: emacs-non-dfsg
 Section: editors
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: texinfo, autotools-dev, dpkg-dev (>> 1.10.0), debhelper (>= 10)
 Standards-Version: 3.7.2
