## emacs-non-dfsg 27.1%2B1

=== debian/changelog ===
emacs-non-dfsg (1:27.1+1-2) unstable; urgency=medium

  * Upload to unstable for bullseye with no changes from the 1:27.1+1-1
    experimental version.  Thanks to Francesco Potortì for
    the report/reminder. (Closes: 917004)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 21 Feb 2021 14:28:07 -0600

emacs-non-dfsg (1:27.1+1-1) experimental; urgency=medium

  * Merge upstream version 27.1.

  * Update debian/copyright for 27.1.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Aug 2020 14:49:18 -0500
