## emacs-non-dfsg 27.1+1

=== debian/rules ===
--- 
+++ 
@@ -48,15 +48,15 @@
 persistent_autogen_install_files := debian/copyright
 
 transient_autogen_install_files := \
-  debian/emacs-common-gfdl.README.Debian \
-  debian/emacs-common-gfdl.lintian-overrides
+  debian/emacs-common-non-dfsg.README.Debian \
+  debian/emacs-common-non-dfsg.lintian-overrides
 
 autogen_install_files := \
   $(persistent_autogen_install_files) $(transient_autogen_install_files)
 
-autogen_installdeb_files := debian/emacs-common-gfdl.postinst
+autogen_installdeb_files := debian/emacs-common-non-dfsg.postinst
 
-pkgdir_common := $(CURDIR)/debian/emacs-common-gfdl
+pkgdir_common := $(CURDIR)/debian/emacs-common-non-dfsg
 
 etc_dir := /usr/share/emacs/$(runtime_ver)/etc
 etc_files := DEVEL.HUMOR JOKES
@@ -79,24 +79,24 @@
         # so dh pattern rule doesn't try to handle this target
 	true
 
-debian/emacs-common-gfdl.README.Debian: \
-  debian/emacs-common-gfdl.README.Debian.in \
+debian/emacs-common-non-dfsg.README.Debian: \
+  debian/emacs-common-non-dfsg.README.Debian.in \
   debian/patches/*.patch $(deb_patches) \
   debian/rules debian/patch-to-news
 	perl -p \
 	  -e 's|^\@DEBIAN_NEWS\@\n|`debian/patch-to-news $(deb_patches)`|e' \
-	  debian/emacs-common-gfdl.README.Debian.in > "$@.tmp"
+	  debian/emacs-common-non-dfsg.README.Debian.in > "$@.tmp"
 	mv "$@.tmp" "$@"
 
 debian/%: debian/%.in debian/autogen.sed
 	sed -f debian/autogen.sed "$<" > "$@.tmp"
 	mv "$@.tmp" "$@"
 
-debian/emacs-common-gfdl.postinst:
+debian/emacs-common-non-dfsg.postinst:
 	shopt -s nullglob; \
 	DEB_ALT_PRIORITY='$(bin_priority)' \
 	DEB_INFO_SUBDIR=emacs \
-	debian/emacs-common-gfdl.postinst.gen \
+	debian/emacs-common-non-dfsg.postinst.gen \
 	  info/*.info info/*.info-[0-9] info/*.info-[0-9][0-9] \
 	    > '$@.tmp'
 	mv '$@.tmp' '$@'
@@ -157,7 +157,7 @@
 
 override_dh_testdir:
 	dh_testdir \
-	  debian/emacs-common-gfdl.README.Debian.in \
+	  debian/emacs-common-non-dfsg.README.Debian.in \
 	  doc/emacs/emacs.texi
 
 override_dh_clean: $(persistent_autogen_install_files)
