## emacs-non-dfsg 28.2%2B1

=== debian/changelog ===
emacs-non-dfsg (1:28.2+1-2) unstable; urgency=medium

  * Set XS-Autobuild on the source package.

  * Drop duplicate Section & Priority from binary package stanza.

  * d/copyright: say "Debian GNU/Linux" not "Debian main".
    See Policy 12.5, and Policy upgrading checklist for Policy 3.7.3.

  * d/copyright: Use https in Format field.

  * d/copyright: Fix format of Upstream-Contact field.

  * d/copyright: Fix the names of upstream's release tag and our orig.tar.
    Introduce a new substitution variable, DEBORIG_VERSION.

  * Declare compliance with Debian Policy 4.6.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Oct 2022 14:00:12 -0700

emacs-non-dfsg (1:28.2+1-1) unstable; urgency=medium

  * Merge upstream version 28.2.

  * Add myself, Sean Whitton, to Uploaders field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Oct 2022 16:33:47 -0700

emacs-non-dfsg (1:28.1+1-1) unstable; urgency=medium

  * Merge upstream version 28.1.

  * Update debian/copyright for 28.1.

  * Build org.info from org.org without emacs source tree.

  * Set the org version in debian/rules to side-step missing org.el.
    Emacs 28+ builds org.info from org.org using emacs itself, and reads
    the version from org.el.  Since we don't have org.el in this package,
    manually set the org version in debian/rules for now, and pass it to
    the org.info build via DEB_EMACS_BUILD_ORG_DOC_VERSION.
    cf. 0736ab81f1be76c373f9bd5b30f06705f3c4cfed

  * Add emacs-nox or emacs (>= 1:28) build dep for org doc generation.
    cf. 0736ab81f1be76c373f9bd5b30f06705f3c4cfed

  * debian/rules: clean up intermediate org->info texi files.

  * Add lintian override for GFDL mention in debian/copyright comments.

  * Fix debian/copyright DEP-5 issues noted by lintian.

  * debian/control: remove obsolete autotools-dev build-dep debhelper 10+
    should handle this for us.

  * debian/rules: remove unnecessary dh --parallel argument.  Current
    debhelper versions should handle this automatically.

  * debian/control: add ${misc:Depends} build dep for debhelper.

  * debian/rules: rely on dpkg pkg-info.mk for src_name and debian_ver.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 12 Sep 2022 14:22:58 -0500
