## emacs-non-dfsg 29.1+1

=== debian/changelog ===
emacs-non-dfsg (1:29.1+1-1) unstable; urgency=medium

  * Merge upstream version 29.1.
  * d/control: Require Emacs 29 for org-texinfo-kbd-macro.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Aug 2023 19:17:35 +0100
