## emacs-non-dfsg 29.2+1

=== debian/changelog ===
emacs-non-dfsg (1:29.2+1-1) unstable; urgency=medium

  * Merge upstream version 29.2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Feb 2024 16:57:14 +0800
