=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,16 @@
 # Debhelper support added via one of Joey Hess' example files.
 # See the debian/changelog for further historical information.
 
+include /usr/share/dpkg/pkg-info.mk
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 SHELL := /bin/bash
 pf := set -o pipefail
+
+# Emacs 28+ reads the version from org.el, which we don't have.
+org_version := 9.5
 
 # Must match emacs24{,-lucid,-nox} packages
 bin_priority := 28
@@ -30,16 +35,20 @@
 # way.  So far that's always been true.  If it becomes false, some of
 # the values below will have to be set manually.
 
-src_name := $(shell dpkg-parsechangelog -S source)
-debian_ver := $(shell dpkg-parsechangelog -S version)
+# From /usr/share/dpkg/pkg-info.mk
+src_name := $(DEB_SOURCE)
+debian_ver := $(DEB_VERSION)
+
 major_ver := $(shell echo $(debian_ver) | sed 's/\..*//')
 
 # Everything before the last '-' (21.3, 21.3a, 21.3+1, etc.)
 debsrc_ver := $(shell echo $(debian_ver) | sed 's/-[^-]\+$$//')
 
+# Everything before the last '-' minus epoch
+deborig_ver := $(shell echo $(debsrc_ver) | sed 's/^[0-9]\+://')
+
 # Everything before the last '+' (21.2, 21.3a, etc.) minus epoch
-upstream_ver := $(shell echo $(debsrc_ver) | sed 's/+[^+]\+$$//')
-upstream_ver := $(shell echo $(upstream_ver) | sed 's/^[0-9]\+://')
+upstream_ver := $(shell echo $(deborig_ver) | sed 's/+[^+]\+$$//')
 
 # 20.5, not 20.5a (used in load-path, etc.)
 runtime_ver := $(shell echo $(upstream_ver) | sed 's/[^0-9]\+$$//')
@@ -64,7 +73,7 @@
 deb_patches := $(addprefix debian/patches/,$(shell cat debian/patches/series))
 
 %:
-	dh $@ --parallel
+	dh $@
 
 # For now, assumes there are no "|" characters in the expansions.
 debian/autogen.sed: debian/rules debian/changelog
@@ -72,6 +81,7 @@
 	echo 's|@PACKAGE_VERSION@|$(debian_ver)|g' >> '$@.tmp'
 	echo 's|@UPSTREAM_VERSION@|$(upstream_ver)|g' >> '$@.tmp'
 	echo 's|@DEBSRC_VERSION@|$(debsrc_ver)|g' >> '$@.tmp'
+	echo 's|@DEBORIG_VERSION@|$(deborig_ver)|g' >> '$@.tmp'
 	mv '$@.tmp' '$@'
 
 .PHONY: debian-sync
@@ -137,8 +147,9 @@
 
 override_dh_auto_build: $(doc_makefiles)
 	rm -rf info && install -d info
-	$(MAKE) -j$(parallel) \
-	  -f debian/rules $(foreach m,$(doc_makefiles),debian/stamp/doc-$(m))
+	DEB_EMACS_BUILD_ORG_DOC_VERSION=$(org_version) \
+	  $(MAKE) -j$(parallel) \
+	    -f debian/rules $(foreach m,$(doc_makefiles),debian/stamp/doc-$(m))
 
 override_dh_auto_install: ; true
 
@@ -161,6 +172,10 @@
 	  doc/emacs/emacs.texi
 
 override_dh_clean: $(persistent_autogen_install_files)
+	rm -f \
+	  doc/emacs/emacsver.texi \
+	  doc/misc/modus-themes.texi \
+	  doc/misc/org.texi
 	rm -rf \
 	  debian/*.tmp \
 	  doc/emacs/Makefile \
