## emacs-non-dfsg 29.3+1

=== debian/changelog ===
emacs-non-dfsg (1:29.3+1-1) unstable; urgency=high

  * Merge upstream version 29.3.

  * Update debian/copyright for 29.3.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Mar 2024 01:11:18 -0500
