## emacs-non-dfsg 29.4+1

=== debian/changelog ===
emacs-non-dfsg (1:29.4+1-1) unstable; urgency=medium

  * Merge upstream version 29.4.
  * Update debian/copyright for 29.4.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Jun 2024 19:36:30 -0500
