## emacs-non-dfsg 30.1+1

=== debian/changelog ===
emacs-non-dfsg (1:30.1+1-1) unstable; urgency=medium

  * Merge upstream version 30.1.

  * d/copyright: Updates for Emacs 30.1.
  * d/rules: Install new files under etc/schema/.

  * Add stub README.source pointing to the 'emacs' source package.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 24 Feb 2025 19:15:00 +0800
