=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 10),
  dpkg-dev (>> 1.10.0),
- emacs-nox (>= 1:28) | emacs (>= 1:28),
+ emacs-nox (>= 1:29) | emacs (>= 1:29),
  texinfo
 Standards-Version: 4.6.1
 XS-Autobuild: yes
