## emacs-non-dfsg 30.2+1

=== debian/changelog ===
emacs-non-dfsg (1:30.2+1-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Declare compliance with Debian Policy 4.7.1.

  [ Rob Browning ]
  * Merge upstream version 30.2.
  * Update debian/copyright for 30.2.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Nov 2025 16:44:05 -0600
