=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dpkg-dev (>> 1.10.0),
  emacs-nox (>= 1:29) | emacs (>= 1:29),
  texinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.7.1
 XS-Autobuild: yes
 
 Package: emacs-common-non-dfsg
