=== debian/rules ===
--- 
+++ 
@@ -161,9 +161,11 @@
 	shopt -s nullglob; \
 	  cp -a info/*.info info/*.info-[0-9] info/*.info-[0-9][0-9] \
 	    $(pkg_infodir)
-	install -d $(pkgdir_common)/$(etc_dir)
+	install -d $(pkgdir_common)/$(etc_dir)/schema
 	install --mode 0644 $(addprefix etc/,$(etc_files)) \
 	  $(pkgdir_common)/$(etc_dir)
+	install --mode 0644 etc/schema/* \
+	  $(pkgdir_common)/$(etc_dir)/schema
 	dh_install
 
 override_dh_testdir:
